Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm
Class JBossTransactionRolledbackException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.rmi.RemoteException
                      javax.transaction.TransactionRolledbackException
                          org.jboss.tm.JBossTransactionRolledbackException

All Implemented Interfaces:
  org.jboss.util.NestedThrowable, Serializable

public class JBossTransactionRolledbackException
extends TransactionRolledbackException
implements org.jboss.util.NestedThrowable, Serializable

JBossTransactionRolledbackException.java Created: Sun Feb 9 22:45:03 2003

Version:
Author:
  David Jencks
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.jboss.util.NestedThrowable
`org.jboss.util.NestedThrowable.Util`

Field Summary

Fields inherited from class java.rmi.RemoteException
`detail`

Fields inherited from interface org.jboss.util.NestedThrowable
`DETECT_DUPLICATE_NESTING, NESTED_TRACE_ENABLED, PARENT_TRACE_ENABLED`

Constructor Summary
`JBossTransactionRolledbackException()`
`JBossTransactionRolledbackException(String message)`
`JBossTransactionRolledbackException(String message, Throwable t)`
`JBossTransactionRolledbackException(Throwable t)`

Method Summary
`Throwable` | `getCause()`
`String` | `getMessage()` Returns the composite throwable message.
`Throwable` | `getNested()`
`void` | `printStackTrace()` Prints the composite message and the embedded stack trace to `System.err`.
`void` | `printStackTrace(PrintStream stream)` Prints the composite message and the embedded stack trace to the specified print stream.
`void` | `printStackTrace(PrintWriter writer)` Prints the composite message and the embedded stack trace to the specified print writer.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JBossTransactionRolledbackException

    public JBossTransactionRolledbackException()

### JBossTransactionRolledbackException

    public JBossTransactionRolledbackException(String message)

### JBossTransactionRolledbackException

    public JBossTransactionRolledbackException(Throwable t)

### JBossTransactionRolledbackException

    public JBossTransactionRolledbackException(String message,
                                               Throwable t)

Method Detail

### getNested

    public Throwable getNested()

  Specified by:
    `getNested` in interface `org.jboss.util.NestedThrowable`

### getCause

    public Throwable getCause()

  Specified by:
    `getCause` in interface `org.jboss.util.NestedThrowable`

### getMessage

    public String getMessage()

  Returns the composite throwable message.

  Returns:
    The composite throwable message.

### printStackTrace

    public void printStackTrace(PrintStream stream)

  Prints the composite message and the embedded stack trace to the specified print stream.

  Parameters:
    `stream` - Stream to print to.

### printStackTrace

    public void printStackTrace(PrintWriter writer)

  Prints the composite message and the embedded stack trace to the specified print writer.

  Parameters:
    `writer` - Writer to print to.

### printStackTrace

    public void printStackTrace()

  Prints the composite message and the embedded stack trace to `System.err`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.